## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate dav1d-sys

Name:           rust-%{crate}
Version:        0.3.5
Release:        %autorelease
Summary:        FFI bindings to dav1d

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/dav1d-sys
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
FFI bindings to dav1d.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(dav1d) >= 0.9.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(dav1d) >= 0.9.0'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> 0.3.5-1
- Update to version 0.3.5

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.3.4-3
- Fix patch

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.3.4-2
- Bump bindgen to 0.59.0

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.3.4-1
- Update to version 0.3.4; Fixes RHBZ#1947389

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 16:28:03 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.3-1
- Update to 0.3.3
- Close: rhbz#1917818
- Bump bindgen to 0.57
- Downgrade system-deps to 1.3.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-4
- Bump bindgen to 0.56.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Wed Feb 26 2020 Josh Stone <jistone@redhat.com> - 0.3.0-2
- Bump bindgen to 0.53.1, https://github.com/rust-av/dav1d-rs/pull/28

* Tue Feb 11 01:35:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 07 00:54:43 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.1-2
- Bump bindgen to 0.52

* Wed Sep 11 21:06:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.1-1
- Release 0.2.1 (#1750927)

* Wed Jul 31 18:52:26 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-3
- Bump bindgen to 0.51

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 14 20:29:58 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- Release 0.2.0 (#1699642)

* Wed Mar 20 09:32:55 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-2
- Run tests in infrastructure

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.2-1
- Initial package

